Summary:	A KDE gui to R
Name:		rkward
Version:	0.4.6
Release:	%mkrel 2
License:	GPL
Group:		Sciences/Mathematics
Url:		http://rkward.sourceforge.net/
Source0:	http://downloads.sourceforge.net/rkward/%{name}-%{version}.tar.bz2
Patch0:		%{name}-desktop.patch
Buildrequires:	R-base
BuildRequires:	kdelibs-devel
BuildRequires:	ImageMagick
Requires:	R-base
Requires:	php-cli
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
RKWard is meant to become an easy to use, transparent frontend to the 
R-language, a very powerful, yet hard-to-get-into scripting-language with 
a strong focus on statistic functions. It will not only provide a convenient 
user-interface, however, but also take care of seamless integration with an 
office-suite. Practical statistics is not just about calculating, after all, 
but also about documenting and ultimately publishing the results.

Warning, this is a experimental software, not for production use !

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%configure2_5x \
    --disable-rpath \
    --enable-pch \
    --enable-nmcheck \
    --with-r-home=%{_libdir}/R
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# already provided by kdelibs-common
rm -f %{buildroot}/%{_datadir}/apps/katepart/syntax/r.xml

# already in R-base package
rm -f %{buildroot}/%{_libdir}/R/library/R.css
mkdir -p %{buildroot}%{_datadir}/applications
mv -f %{buildroot}%{_datadir}/applnk/Applications/%{name}.desktop %{buildroot}%{_datadir}/applications

%find_lang %{name}

%post
%{update_menus}
%if %mdkversion >= 200700
%{update_desktop_database}
%update_icon_cache crystalsvg
%endif

%postun
%{clean_menus}
%if %mdkversion >= 200700
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc %{_datadir}/doc/HTML/en/%{name}/*
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/R/library/rkward
%dir %{_libdir}/R/library/rkward/Meta
%dir %{_libdir}/R/library/rkward/R-ex
%dir %{_libdir}/R/library/rkward/help
%dir %{_libdir}/R/library/rkward/html
%dir %{_libdir}/R/library/rkward/latex
%dir %{_libdir}/R/library/rkward/libs
%dir %{_libdir}/R/library/rkward/man
%dir %{_datadir}/apps/rkward/00means/00ttests/00independent_samples
%dir %{_datadir}/apps/rkward/00saveload/import
%dir %{_datadir}/apps/rkward/00saveload/load/load
%dir %{_datadir}/apps/rkward/00saveload/load/source
%dir %{_datadir}/apps/rkward/00saveload/save/save
%dir %{_datadir}/apps/rkward/00saveload/save/skeleton
%dir %{_datadir}/apps/rkward/00saveload/save/write
%dir %{_datadir}/apps/rkward/analysis/ansari_bradley
%dir %{_datadir}/apps/rkward/analysis
%dir %{_datadir}/apps/rkward/analysis/wilcoxon
%dir %{_datadir}/apps/rkward/descriptive
%dir %{_datadir}/apps/rkward/distributions
%dir %{_datadir}/apps/rkward/icons
%dir %{_datadir}/apps/rkward/pages
%dir %{_datadir}/apps/rkward/phpfiles
%dir %{_datadir}/apps/rkward/plots
%dir %{_datadir}/apps/rkward/simple_anova
%dir %{_datadir}/apps/rkward/uni1.2
%dir %{_datadir}/apps/rkward/writetable
%dir %{_datadir}/apps/rkward/x11device
%{_libdir}/R/library/rkward/CONTENTS
%{_libdir}/R/library/rkward/DESCRIPTION
%{_libdir}/R/library/rkward/INDEX
%{_libdir}/R/library/rkward/Meta/*.rds
%{_libdir}/R/library/rkward/R-ex/*.R
%{_libdir}/R/library/rkward/help/AnIndex
%{_libdir}/R/library/rkward/help/public
%{_libdir}/R/library/rkward/html/*html
%{_libdir}/R/library/rkward/latex/*.tex
%attr(755,root,root) %{_libdir}/R/library/rkward/libs/%{name}.so
%{_libdir}/R/library/rkward/R/rkward
%{_libdir}/R/library/rkward/man/*.gz
%{_datadir}/apps/rkward/00means/00ttests/00independent_samples/*.php
%{_datadir}/apps/rkward/00means/00ttests/00independent_samples/*.xml
%{_datadir}/apps/rkward/00saveload/import/*.php
%{_datadir}/apps/rkward/00saveload/import/*.xml
%{_datadir}/apps/rkward/00saveload/import/*.rkh
%{_datadir}/apps/rkward/00saveload/load/load/*.php
%{_datadir}/apps/rkward/00saveload/load/load/*.xml
%{_datadir}/apps/rkward/00saveload/load/source/*.php
%{_datadir}/apps/rkward/00saveload/load/source/*.xml
%{_datadir}/apps/rkward/00saveload/save/save/*.php
%{_datadir}/apps/rkward/00saveload/save/save/*.xml
%{_datadir}/apps/rkward/00saveload/save/skeleton/*.php
%{_datadir}/apps/rkward/00saveload/save/skeleton/*.xml
%{_datadir}/apps/rkward/00saveload/save/write/*.php
%{_datadir}/apps/rkward/00saveload/save/write/*.xml
%{_datadir}/apps/rkward/*.pluginmap
%{_datadir}/apps/rkward/analysis/ansari_bradley/*.php
%{_datadir}/apps/rkward/analysis/ansari_bradley/*.xml
%{_datadir}/apps/rkward/analysis/*.php
%{_datadir}/apps/rkward/analysis/*.rkh
%{_datadir}/apps/rkward/analysis/*.xml
%{_datadir}/apps/rkward/analysis/wilcoxon/*.php
%{_datadir}/apps/rkward/analysis/wilcoxon/*.xml
%{_datadir}/apps/rkward/descriptive/*.php
%{_datadir}/apps/rkward/descriptive/*.rkh
%{_datadir}/apps/rkward/descriptive/*.xml
%{_datadir}/apps/rkward/*.rc
%{_datadir}/apps/rkward/distributions/*.php
%{_datadir}/apps/rkward/distributions/*.rkh
%{_datadir}/apps/rkward/distributions/*.xml
%{_datadir}/apps/rkward/icons/*.png
%{_datadir}/apps/rkward/pages/*.rkh
%{_datadir}/apps/rkward/pages/*.css
%{_datadir}/apps/rkward/phpfiles/common.php
%{_datadir}/apps/rkward/plots/*.php
%{_datadir}/apps/rkward/plots/*.rkh
%{_datadir}/apps/rkward/plots/*.xml
%{_datadir}/apps/rkward/simple_anova/*.php
%{_datadir}/apps/rkward/simple_anova/*.xml
%{_datadir}/apps/rkward/uni1.2/*.php
%{_datadir}/apps/rkward/uni1.2/*.xml
%{_datadir}/apps/rkward/writetable/*.php
%{_datadir}/apps/rkward/writetable/*.xml
%{_datadir}/apps/rkward/x11device/*.php
%{_datadir}/apps/rkward/x11device/*.rkh
%{_datadir}/apps/rkward/x11device/*.xml
%{_datadir}/apps/katepart/syntax/rkward.xml
%{_datadir}/applications/rkward.desktop
%{_iconsdir}/crystalsvg/*/apps/%{name}.png
%{_iconsdir}/locolor/*/apps/%{name}.png


%changelog
* Wed Feb 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-2mdv2007.0
+ Revision: 123181
- add requires on php-cli
- remove requires on kdebase-konsole
- add some options for %%configure, especially --with-r-home
- hard spec file clean

* Thu Feb 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-1mdv2007.1
+ Revision: 121530
- new version
- fix menu entry and icons

* Mon Jan 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.5-1mdv2007.1
+ Revision: 111951
- Import rkward

